// ----------------------------------------------------------------------------------------
//
//  demos/cfax_lcd/project_defs.h
//    
//  Bob Cook Development, Robotics Library
//  http://www.bobcookdev.com/rl/
//    
//  Copyright (C) 2007 Bob Cook
//
//      This program is free software; you can redistribute it and/or modify it
//      under the terms of the GNU General Public License as published by the
//      Free Software Foundation; either version 2 of the License, or (at your
//      option) any later version.
//    
//      This program is distributed in the hope that it will be useful, but 
//      WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
//      or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
//      for more details.
//    
//      You should have received a copy of the GNU General Public License along
//      with this program; if not, write to the Free Software Foundation, Inc., 
//      51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
//  This file provides the project-specific library customization defintions.
//
// ----------------------------------------------------------------------------------------


#if !defined( PROJECT_DEFS_H )
#define PROJECT_DEFS_H


// ----------------------------------------------------------------------------------------

#define PRJ_CPU_FREQ    8000000L

// ----------------------------------------------------------------------------------------
//  packages/avr/device/adc
//

#define PRJ_ADC_ENABLED
#define PRJ_ADC_CLOCK_FACTOR_DIV_128

#define PRJ_ADC_USE_CHANNEL_4
#define PRJ_ADC_USE_CHANNEL_3
#define PRJ_ADC_USE_CHANNEL_2
#define PRJ_ADC_USE_CHANNEL_1

// ----------------------------------------------------------------------------------------
//  packages/avr/lcd/cfax
//

#define PRJ_CFAX_ENABLE

#define PRJ_CFAX_DATA_PORT              PORTD
#define PRJ_CFAX_DATA_PORT_PINS         PIND
#define PRJ_CFAX_DATA_DDR               DDRD

#define PRJ_CFAX_CONTROL_RSTB_PORT      PORTC
#define PRJ_CFAX_CONTROL_RSTB_PIN       PC0
#define PRJ_CFAX_CONTROL_RSTB_DDR       DDRC

#define PRJ_CFAX_CONTROL_RS_PORT        PORTB
#define PRJ_CFAX_CONTROL_RS_PIN         PB0
#define PRJ_CFAX_CONTROL_RS_DDR         DDRB

#define PRJ_CFAX_CONTROL_RD_PORT        PORTB
#define PRJ_CFAX_CONTROL_RD_PIN         PB1
#define PRJ_CFAX_CONTROL_RD_DDR         DDRB

#define PRJ_CFAX_CONTROL_RW_PORT        PORTB
#define PRJ_CFAX_CONTROL_RW_PIN         PB2
#define PRJ_CFAX_CONTROL_RW_DDR         DDRB

#define PRJ_CFAX_TOUCHSCREEN_PORT       PORTC
#define PRJ_CFAX_TOUCHSCREEN_DDR        DDRC
#define PRJ_CFAX_TOUCHSCREEN_PIN_1      PC1
#define PRJ_CFAX_TOUCHSCREEN_ADC_CH_1   1
#define PRJ_CFAX_TOUCHSCREEN_PIN_2      PC2
#define PRJ_CFAX_TOUCHSCREEN_ADC_CH_2   2
#define PRJ_CFAX_TOUCHSCREEN_PIN_3      PC3
#define PRJ_CFAX_TOUCHSCREEN_ADC_CH_3   3
#define PRJ_CFAX_TOUCHSCREEN_PIN_4      PC4
#define PRJ_CFAX_TOUCHSCREEN_ADC_CH_4   4

#define PRJ_CFAX_INC_ICONS
#define PRJ_CFAX_INC_TEXT
#define PRJ_CFAX_INC_WRITE_PGM_CSTRINGS
#define PRJ_CFAX_INC_WRITE_CSTRINGS
#define PRJ_CFAX_INC_SET_PIXEL
#define PRJ_CFAX_INC_DRAWING
#define PRJ_CFAX_INC_BITMAPS
#define PRJ_CFAX_INC_TOUCHSCREEN


#endif // #if !defined( PROJECT_DEFS_H )
// ----------------------------------------------------------------------------------------
//  end of project_defs.h
// ----------------------------------------------------------------------------------------

