// ----------------------------------------------------------------------------------------
//
//  common/util/printutils.h
//    
//  Bob Cook Development, Robotics Library
//  http://www.bobcookdev.com/rl/
//    
//  This file provides printf-helper functions and macros.
//
//  Copyright (C) 2007 Bob Cook
//
//      This program is free software; you can redistribute it and/or modify it
//      under the terms of the GNU General Public License as published by the
//      Free Software Foundation; either version 2 of the License, or (at your
//      option) any later version.
//    
//      This program is distributed in the hope that it will be useful, but 
//      WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
//      or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
//      for more details.
//    
//      You should have received a copy of the GNU General Public License along
//      with this program; if not, write to the Free Software Foundation, Inc., 
//      51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// ----------------------------------------------------------------------------------------


#if !defined( BCDRL_COMMON_UTIL_PRINTUTILS_H )
#define BCDRL_COMMON_UTIL_PRINTUTILS_H


#include <stdint.h>


// ----------------------------------------------------------------------------------------
//  print_hex
//
//      Print the hexidecimal representation of the given value to stdout.
//

void print_hex( uint8_t byte );
void print_hex( const uint16_t& word );
void print_hex( const uint32_t& longword );

// ----------------------------------------------------------------------------------------
//  print_bits
//
//      Print the bitfield representation, MSB first, of the given value to stdout.
//

void print_bits( uint8_t byte );
void print_bits( uint16_t word );
void print_bits( uint32_t longword );


#endif  // #if !defined( BCDRL_COMMON_UTIL_PRINTUTILS_H )
// ----------------------------------------------------------------------------------------
//  end of printutils.h
// ----------------------------------------------------------------------------------------

