// ----------------------------------------------------------------------------------------
//
//  s3c2410a/cfax_iic/cfax_iic.h
//    
//  Bob Cook Development, Robotics Library
//  http://www.bobcookdev.com/rl/
//    
//  This file provides port access routines for the Samsung S3C2410A processor.
//
//  Copyright (C) 2009 Bob Cook
//
//      This program is free software; you can redistribute it and/or modify it
//      under the terms of the GNU General Public License as published by the
//      Free Software Foundation; either version 2 of the License, or (at your
//      option) any later version.
//    
//      This program is distributed in the hope that it will be useful, but 
//      WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
//      or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
//      for more details.
//    
//      You should have received a copy of the GNU General Public License along
//      with this program; if not, write to the Free Software Foundation, Inc., 
//      51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// ----------------------------------------------------------------------------------------


#if !defined( BCD_S3C2410A_CFAX_IIC_CFAX_IIC_H )
#define BCD_S3C2410A_CFAX_IIC_CFAX_IIC_H


#include <stdint.h>


// ----------------------------------------------------------------------------------------
//  definitions from "project_defs.h"
//
//  define the I2C slave address of the CFAX slave node with:
//  
//      + PRJ_CFAX_IIC_SLAVE_ADDRESS
//


// ----------------------------------------------------------------------------------------
//  cfaxiic_clear_screen
//

void cfaxiic_clear_screen();


// ----------------------------------------------------------------------------------------
//  cfaxiic_write
//

void cfaxiic_write( char c, uint8_t x, uint8_t y );
void cfaxiic_write( const char* str, uint8_t x, uint8_t y );


// ----------------------------------------------------------------------------------------
//  cfaxiic_line
//

void cfaxiic_line( uint8_t x0, uint8_t y0, uint8_t x1, uint8_t y1, bool state );


// ----------------------------------------------------------------------------------------
//  cfaxiic_rect
//

void cfaxiic_rect( uint8_t x, uint8_t y, uint8_t w, uint8_t h );


// ----------------------------------------------------------------------------------------
//  cfaxiic_fill
//

void cfaxiic_fill( uint8_t x, uint8_t y, uint8_t w, uint8_t h );


// ----------------------------------------------------------------------------------------
//  cfaxiic_erase
//

void cfaxiic_erase( uint8_t x, uint8_t y, uint8_t w, uint8_t h );


// ----------------------------------------------------------------------------------------
//  cfaxiic_touchscreen
//

bool cfaxiic_touchscreen( uint8_t* x, uint8_t* y );


#endif  // #if !defined( BCD_S3C2410A_CFAX_IIC_CFAX_IIC_H )
// ----------------------------------------------------------------------------------------
//  end of cfax_iic.h
// ----------------------------------------------------------------------------------------

