// ----------------------------------------------------------------------------------------
//
//  Minisumo Robot Project: The Thin Man
//  project_defs.h
//    
//  Bob Cook Development, Robotics Library
//  http://www.bobcookdev.com/rl/
//    
//  Copyright (C) 2007 Bob Cook
//
//      This program is free software; you can redistribute it and/or modify it
//      under the terms of the GNU General Public License as published by the
//      Free Software Foundation; either version 2 of the License, or (at your
//      option) any later version.
//    
//      This program is distributed in the hope that it will be useful, but 
//      WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
//      or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
//      for more details.
//    
//      You should have received a copy of the GNU General Public License along
//      with this program; if not, write to the Free Software Foundation, Inc., 
//      51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// ----------------------------------------------------------------------------------------


#if !defined( PROJECT_DEFS_H )
#define PROJECT_DEFS_H


// ----------------------------------------------------------------------------------------

#define PRJ_CPU_FREQ    20000000L

// ----------------------------------------------------------------------------------------
//  packages/avr/device/adc
//

#define PRJ_ADC_ENABLED

#define PRJ_ADC_CLOCK_FACTOR_DIV_64

#define PRJ_ADC_USE_CHANNEL_1
#define PRJ_ADC_USE_CHANNEL_2
#define PRJ_ADC_USE_CHANNEL_3
#define PRJ_ADC_USE_CHANNEL_4
#define PRJ_ADC_USE_CHANNEL_5


// ----------------------------------------------------------------------------------------
//  packages/avr/device/uart
//

#define PRJ_UART0_USE_INTERRUPT_MODE
#define PRJ_UART0_BUFFER_SIZE   32


// ----------------------------------------------------------------------------------------
//  packages/avr/redirect
//

#define PRJ_REDIR_VIA_UART0
#define PRJ_REDIR_OUTPUT_BAUDRATE   19200
#define PRJ_REDIR_OUTPUT_DO_AUTO_CRLF


#endif // #if !defined( PROJECT_DEFS_H )
// ----------------------------------------------------------------------------------------
//  end of project_defs.h
// ----------------------------------------------------------------------------------------

